#ifndef RODENT_TIP_H
#define RODENT_TIP_H

// Put tip queue in here...

gboolean
rodent_tip_function (
        GtkWidget * window, 
        gint x, 
        gint y, 
        gboolean keyboard_mode, 
        GtkTooltip * tooltip,
        gpointer user_data
) ;

void *
rodent_activate_tip_f(view_t *view_p, void *data);

gchar *
rodent_get_tip_text (view_t * view_p, 
	const population_t * population_p, 
	record_entry_t *en,
	const gchar * prepend_txt);

void 
rodent_activate_tip(view_t *view_t, population_t *population_p, gboolean image_tip);

void
rodent_hide_tip (void);

gboolean 
rodent_tip_get_active(void);

void 
rodent_clear_tooltip(void);
#endif
